commit 3046e840dfc80005b8678fd292959e64ec25c328
Author: freddy77 <freddy77>
Date:   Wed Jun 17 17:07:30 2009 +0000

    reuse some macros for version check

diff --git a/ChangeLog b/ChangeLog
index c847906..54845e2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jun 17 19:07:24 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/iconv.c: reuse some macros for version check
+
 Wed Jun 17 18:20:53 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/iconv.c: fix iconv portability problem
 
@@ -1651,4 +1654,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2814 2009/06/17 16:20:59 freddy77 Exp $
+$Id: ChangeLog,v 1.2815 2009/06/17 17:07:30 freddy77 Exp $
diff --git a/src/tds/iconv.c b/src/tds/iconv.c
index b7c8b3e..42645d7 100644
--- a/src/tds/iconv.c
+++ b/src/tds/iconv.c
@@ -49,7 +49,7 @@
 /* define this for now; remove when done testing */
 #define HAVE_ICONV_ALWAYS 1
 
-TDS_RCSID(var, "$Id: iconv.c,v 1.138 2009/06/17 16:20:59 freddy77 Exp $");
+TDS_RCSID(var, "$Id: iconv.c,v 1.139 2009/06/17 17:07:31 freddy77 Exp $");
 
 #define CHARSIZE(charset) ( ((charset)->min_bytes_per_char == (charset)->max_bytes_per_char )? \
 				(charset)->min_bytes_per_char : 0 )
@@ -395,7 +395,7 @@ tds_iconv_open(TDSSOCKET * tds, const char *charset)
 	 * ISO8859-1 <-> server meta data
 	 */
 	name = UCS_2LE;
-	if (tds->major_version < 7) {
+	if (!IS_TDS7_PLUS(tds)) {
 		name = "ISO-8859-1";
 		if (tds->env.charset)
 			name = tds->env.charset;
@@ -1008,7 +1008,7 @@ tds_srv_charset_changed(TDSSOCKET * tds, const char *charset)
 	int canonic_charset_num = tds_canonical_charset(charset);
 	const char *canonic_charset;
 
-	if (tds->major_version >= 7 && canonic_charset_num == TDS_CHARSET_ISO_8859_1)
+	if (IS_TDS7_PLUS(tds) && canonic_charset_num == TDS_CHARSET_ISO_8859_1)
 		canonic_charset_num = TDS_CHARSET_CP1252;
 
 	/* ignore request to change to unknown charset */
@@ -1029,7 +1029,7 @@ tds_srv_charset_changed(TDSSOCKET * tds, const char *charset)
 		tds->char_convs[client2server_chardata] = char_conv;
 
 	/* if sybase change also server conversions */
-	if (tds->major_version >= 7)
+	if (IS_TDS7_PLUS(tds))
 		return;
 
 	char_conv = tds->char_convs[iso2server_metadata];

